---
dest: ./README.md
---
# {%= name %} [![NPM version](https://badge.fury.io/js/{%= name %}.png)](http://badge.fury.io/js/{%= name %}) {% if (travis) { %} [![Build Status]({%= travis %}.png)]({%= travis %}){% } %}

> {%= total.length %} Handlebars helpers in 19 categories. Helpers can be used with [Assemble](https://github.com/assemble/assemble), YUI, Ghost or any Handlebars project.

### [Visit the live docs →](http://assemble.io/helpers/)

## Install
{%= include("install") %}

## Overview
{%= docs("overview") %}

## Contributing

### Undocumented Helpers
We can always use your help documenting helpers. As of {%= date("YYYY-MM-DD") %}, **{%= docsDifference.length %} of {%= total.length %} helpers** require documentation:
{% if (docsDifference) { %}{% for(var helper in docsDifference) { %}
* `{{{%= docsDifference[helper] %}}}`{% } %}{% } else { %}_(Everything is documented!)_
{% } %}

### Helpers that need tests
We can always use your help writing tests for helpers. As of {%= date("YYYY-MM-DD") %}, **{%= testsDifference.length %} of {%= total.length %} helpers** require tests:
{% if (testsDifference) { %}{% for(var helper in testsDifference) { %}
* `{{{%= testsDifference[helper] %}}}`{% } %}{% } else { %}
_(Everything is documented!)_
{% } %}

{%= docs("contributing") %}

{% if (changelog) { %}
## Release History
{%= changelog() %}{% } %}

## Credit
{%= docs("credit") %}

## Authors
{%= contrib("authors") %}

## License
{%= copyright() %}
{%= license() %}

***
{%= include("footer") %}

[assemble]: http://assemble.io/ "Assemble: the static site generator for Node.js, Grunt.js and Yeoman."
[minimatch]: https://github.com/isaacs/minimatch "minimatch"
